# $Revision: 1.52 $, $Date: 2012/06/02 10:58:29 $
Summary:	ConsoleKit for PolicyKit
Summary(pl.UTF-8):	ConsoleKit dla PolicyKit
Name:		ConsoleKit
Version:	0.4.5
Release:	13
License:	GPL v2+
Group:		Libraries
Source0:	http://www.freedesktop.org/software/ConsoleKit/dist/%{name}-%{version}.tar.bz2
# Source0-md5:	f2657f93761206922d558471a936fbc3
Source1:	%{name}.tmpfiles
Patch0:		%{name}-git.patch
URL:		http://www.freedesktop.org/wiki/Software/ConsoleKit
BuildRequires:	dbus-glib-devel >= 0.82
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.22.0
# for <sys/inotify.h>
BuildRequires:	glibc-devel >= 6:2.4
BuildRequires:	udev-devel
BuildRequires:	pam-devel >= 0.80
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.92
BuildRequires:	rpmbuild(macros) >= 1.626
BuildRequires:	xmlto
BuildRequires:	xorg-lib-libX11-devel >= 1.0.0
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Requires:	%{name}-dirs = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus-glib >= 0.82
Requires:	filesystem >= 3.0-25
Requires:	glib2 >= 1:2.14.0
Requires:	rc-scripts >= 0.4.3.0
Requires:	systemd-units >= 38
Provides:	udev-acl
Obsoletes:	ConsoleKit-systemd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ConsoleKit is a framework for defining and tracking users, login
sessions, and seats.

%description -l pl.UTF-8
ConsoleKit to szkielet do definiowania i śledzenia użytkowników, sesji
logowania i siedzib.

%package libs
Summary:	ConsoleKit library
Summary(pl.UTF-8):	Biblioteka ConsoleKit
License:	AFL v2.1 or GPL v2
Group:		Libraries
Requires:	dbus-libs >= 0.30
Conflicts:	ConsoleKit < 0.1-0.20061203.6

%description libs
ConsoleKit library.

%description libs -l pl.UTF-8
Biblioteka ConsoleKit.

%package dirs
Summary:	ConsoleKit directories
Summary(pl.UTF-8):	Katalogi ConsoleKit
License:	AFL v2.1 or GPL v2
Group:		Libraries
Conflicts:	ConsoleKit < 0.4.1-2

%description dirs
ConsoleKit directories.

%description dirs -l pl.UTF-8
Katalogi ConsoleKit.

%package devel
Summary:	Header files for ConsoleKit
Summary(pl.UTF-8):	Pliki nagłówkowe ConsoleKit
License:	AFL v2.1 or GPL v2
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus-devel >= 0.30

%description devel
Header files for ConsoleKit.

%description devel -l pl.UTF-8
Pliki nagłówkowe ConsoleKit.

%package static
Summary:	Static ConsoleKit library
Summary(pl.UTF-8):	Statyczna biblioteka ConsoleKit
License:	AFL v2.1 or GPL v2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ConsoleKit library.

%description static -l pl.UTF-8
Statyczna biblioteka ConsoleKit.

%package x11
Summary:	X11 session support for ConsoleKit
Summary(pl.UTF-8):	Obsługa sesji X11 dla pakietu ConsoleKit
License:	GPL v2+
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11 >= 1.0.0

%description x11
X11 session support utilities for ConsoleKit.

%description x11 -l pl.UTF-8
Narzędzia obsługujące sesje X11 dla pakietu ConsoleKit.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--disable-silent-rules \
	--enable-docbook-docs \
	--enable-pam-module \
	--enable-static \
	--with-pam-module-dir=/%{_lib}/security \
	--with-pid-file=%{_localstatedir}/run/console-kit-daemon.pid \
	--with-systemdsystemunitdir=%{systemdunitdir} \
	--enable-udev-acl

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# The sample upstart files are good enough for us.
install -d $RPM_BUILD_ROOT/etc/init
for a in ck-log-system-{start,stop,restart}; do
	cp -p data/$a $RPM_BUILD_ROOT/etc/init/$a.conf
done

install %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%{__rm} $RPM_BUILD_ROOT/%{_lib}/security/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

# use triggerun not triggerpostun - old init script is needed to stop service
%triggerun -- ConsoleKit < 0.2.4
%service -q ConsoleKit stop
/sbin/chkconfig --del ConsoleKit

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post
%systemd_post console-kit-daemon.service

%preun
%systemd_preun console-kit-daemon.service

%postun
%systemd_reload

%triggerpostun -- ConsoleKit < 0.4.5-9
%systemd_trigger console-kit-daemon.service

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/ck-history
%attr(755,root,root) %{_bindir}/ck-launch-session
%attr(755,root,root) %{_bindir}/ck-list-sessions
%attr(755,root,root) %{_sbindir}/ck-log-system-restart
%attr(755,root,root) %{_sbindir}/ck-log-system-start
%attr(755,root,root) %{_sbindir}/ck-log-system-stop
%attr(755,root,root) %{_sbindir}/console-kit-daemon
%attr(755,root,root) %{_libdir}/ck-collect-session-info
%attr(755,root,root) %{_prefix}/lib/ConsoleKit/scripts/*
%attr(755,root,root) /%{_lib}/security/pam_ck_connector.so
%{_datadir}/polkit-1/actions/org.freedesktop.consolekit.policy
%{_datadir}/dbus-1/system-services/org.freedesktop.ConsoleKit.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.ConsoleKit.Manager.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.ConsoleKit.Seat.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.ConsoleKit.Session.xml
/etc/dbus-1/system.d/ConsoleKit.conf
%config(noreplace) %verify(not md5 mtime size) /etc/init/ck-log-system-restart.conf
%config(noreplace) %verify(not md5 mtime size) /etc/init/ck-log-system-start.conf
%config(noreplace) %verify(not md5 mtime size) /etc/init/ck-log-system-stop.conf
%{_sysconfdir}/ConsoleKit/seats.d/00-primary.seat
%{_mandir}/man8/pam_ck_connector.8*
%{systemdunitdir}/basic.target.wants/console-kit-log-system-start.service
%{systemdunitdir}/console-kit-daemon.service
%{systemdunitdir}/console-kit-log-system-restart.service
%{systemdunitdir}/console-kit-log-system-start.service
%{systemdunitdir}/console-kit-log-system-stop.service
%{systemdunitdir}/halt.target.wants/console-kit-log-system-stop.service
%{systemdunitdir}/kexec.target.wants/console-kit-log-system-restart.service
%{systemdunitdir}/poweroff.target.wants/console-kit-log-system-stop.service
%{systemdunitdir}/reboot.target.wants/console-kit-log-system-restart.service

%attr(755,root,root) /lib/udev/udev-acl
%attr(755,root,root) /usr/lib/ConsoleKit/run-seat.d/udev-acl.ck
/lib/udev/rules.d/70-udev-acl.rules
 
%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libck-connector.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libck-connector.so.0

%files dirs
%defattr(644,root,root,755)
/usr/lib/tmpfiles.d/%{name}.conf
%dir %{_sysconfdir}/ConsoleKit
%dir %{_sysconfdir}/ConsoleKit/run-session.d
%dir %{_sysconfdir}/ConsoleKit/run-seat.d
%dir %{_sysconfdir}/ConsoleKit/seats.d
%dir %{_prefix}/lib/ConsoleKit/run-session.d
%dir %{_prefix}/lib/ConsoleKit/run-seat.d
%dir %{_prefix}/lib/ConsoleKit/scripts
%dir %{_localstatedir}/run/ConsoleKit
%dir %{_localstatedir}/log/ConsoleKit

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libck-connector.so
%{_libdir}/libck-connector.la
%dir %{_includedir}/ConsoleKit
%dir %{_includedir}/ConsoleKit/ck-connector
%{_includedir}/ConsoleKit/ck-connector/*.h
%{_pkgconfigdir}/ck-connector.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libck-connector.a

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ck-get-x11-server-pid
%attr(755,root,root) %{_libdir}/ck-get-x11-display-device

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ConsoleKit.spec,v $
Revision 1.52  2012/06/02 10:58:29  arekm
- release 13

Revision 1.51  2012/05/28 19:34:27  baggins
- rel 12
- don't obsolete udev-acl as it obsoletes systemd and we don't want it

Revision 1.50  2012/05/27 19:53:33  baggins
- rel 11
- update from upstream git
- udev-acl now packaged, provided and obsoleted by ConsoleKit

Revision 1.49  2012/04/17 17:07:55  baggins
- rel 10
- better systemd deps

Revision 1.48  2012/02/05 15:54:43  baggins
- rel 9
- merge systemd stuff into main package

Revision 1.47  2012/01/31 11:50:56  baggins
- release 8

Revision 1.46  2012/01/30 19:20:49  baggins
- rel 7
- added tmpfiles config for systemd

Revision 1.45  2011/12/04 17:41:48  wiget
- use newer systemd macros
- rel. 6

Revision 1.44  2011/12/04 02:14:46  cactus
- rel 5

Revision 1.43  2011/12/04 01:41:08  cactus
- mv to new rpm macros, add post,preun,postun actions

Revision 1.42  2011/11/27 10:27:00  wiget
- package systemd files

Revision 1.41  2011/09/25 10:40:53  glen
- update upstart deps

Revision 1.40  2011/08/13 18:10:51  qboosh
- better -x11 description

Revision 1.39  2011/08/13 04:28:11  glen
- install upstart scripts

Revision 1.38  2011/08/12 19:30:14  glen
- x11 subpackage

Revision 1.37  2011/05/04 20:51:16  megabajt
- updated to 0.4.5

Revision 1.36  2011/03/16 19:05:46  qboosh
- up to 0.4.4

Revision 1.35  2010/11/18 10:17:39  caleb
- Up to 0.4.3

Revision 1.34  2010/10/19 20:04:32  megabajt
- updated to 0.4.2
- removed obsolete -reorder-initialization.patch

Revision 1.33  2010/04/29 16:03:37  blues
- rel.5 - suggests udev-acl

Revision 1.32  2010/03/17 07:49:14  megabajt
- added -reorder-initialization.patch
- release 4

Revision 1.31  2009/11/29 22:36:12  blues
- rel.3 - move directories to dirs subpackage. udev-core requires
  /usr/lib/ConsoleKit/run-seat.d, don't follow that.

Revision 1.30  2009/11/27 01:20:30  sparky
- BR: docbook-dtd412-xml

Revision 1.29  2009/10/12 13:32:26  megabajt
- package missing dirs
- release 2

Revision 1.28  2009/10/01 14:20:19  baggins
- 0.4.1

Revision 1.27  2009/08/20 08:42:17  patrys
- 0.3.1

Revision 1.26  2009/08/06 14:04:18  patrys
- fix build
- rel 6

Revision 1.25  2009/06/28 21:55:12  patrys
- move session dir to filesystem
- rel 5

Revision 1.24  2009/05/18 11:47:08  megabajt
- allow GetSessions in dbus policy
- release 4

Revision 1.23  2009/05/15 15:22:06  megabajt
- updated -dbus.patch
- release 3

Revision 1.22  2008/12/08 16:28:26  patrys
- add the dbus patch to make it work
- fixes CK for dbus 1.2.6 with CVE-2008-4311
- rel 2

Revision 1.21  2008/08/20 18:27:20  megabajt
- updated to 0.3.0

Revision 1.20  2008/08/20 17:18:03  qboosh
- one /var/log/ConsoleKit dir is enough

Revision 1.19  2008/08/20 14:32:09  patrys
- package the log dir for history

Revision 1.18  2008-04-21 16:25:14  megabajt
- updated to 0.2.10

Revision 1.17  2008-02-16 11:22:38  qboosh
- consistent order

Revision 1.16  2008-02-16 04:02:41  patrys
- one more missing dir

Revision 1.15  2008-02-16 04:00:46  patrys
- add missing dirs

Revision 1.14  2008-02-06 17:06:05  qboosh
- updated to 0.2.7 (log moved from /var/run to /var/log)

Revision 1.13  2008-01-25 22:45:41  qboosh
- trigger added

Revision 1.12  2008-01-23 22:33:14  patrys
- 0.2.4
- started by DBus on demand
- TODO: add trigger to remove service when updating from < 0.2.4

Revision 1.11  2007-10-30 23:08:26  qboosh
- more versions

Revision 1.10  2007/10/19 18:23:28  megabajt
- updated to 0.2.3
- removed obsolete SIGINT and xdm patches

Revision 1.9  2007/10/04 15:34:13  patrys
- no gdm user in PLD

Revision 1.8  2007/09/17 23:13:38  aflinta
- does not build well on SMP

Revision 1.7  2007/06/02 19:40:15  qboosh
- packaging looks sane now, removed todo

Revision 1.6  2007/05/31 20:07:49  qboosh
- files cleanup, added ChangeLog to doc

Revision 1.5  2007/05/31 16:28:58  deejay1
- adapterized
- added misc fixes from git master

Revision 1.4  2007/05/31 16:20:02  deejay1
- up to 0.2.1

Revision 1.3  2007/03/29 21:23:26  qboosh
- added doc, desc taken from README

Revision 1.2  2007/03/29 21:21:21  qboosh
- revised deps, pam files cleanup

Revision 1.1  2007/03/14 16:53:11  czarny
- new based on PolicyKit
